# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change. 

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Pull Request Process

- **Ensure any install or build dependencies** are removed before the end of the layer when doing a 
   build.

- **You may merge the Pull Request** in once you have the sign-off of two other developers, or if you 
   do not have permission to do that, you may request the second reviewer to merge it for you.

- **Avoid trolling, removing necessary** code is prohibited only the unnecessary code. And make sure to
   avoid untested code before creating a pull request.

## Emojis

> Here are some emoji you might want to add when committing. (Not required)

| 📝 | Use this emoji if you update either readme or any docs related |
| --- | --- |
| 📗 | **Use this emoji if you add something** |
| 🔧  | **Use this emoji if you update or fix any bugs** |
| 🎨  | **Use this emoji if you fix or update the code format** |


# Code of Conduct

The code of conduct is written on the seperated file. [See this](https://github.com/serumstudio/hype/master/CODE_OF_CONDUCT.md)
